ARG GOLANG_VERSION=1.23
ARG BUILDARGS
ARG GITLAB_PROXY

FROM ${GITLAB_PROXY}golang:$GOLANG_VERSION-bookworm AS builder

WORKDIR /gosdn

COPY . .

RUN make build-venv-manager

FROM ${GITLAB_PROXY}ubuntu:22.04
COPY --from=builder /gosdn/artifacts/venv-manager /venv-manager

ENTRYPOINT ["/venv-manager"]
